Bug 21446 - Improve display of changed values on course reserves and show permanent location instead of cart
Summary: Improve display of changed values on course reserves and show permanent locat...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Christopher Brannon
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-09-27 22:42 UTC by Christopher Brannon
Modified: 2019-02-11 13:52 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21446: Correct perm location and enhance (7.30 KB, patch)
2018-09-29 18:22 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 21446: Remove fix comment (1.14 KB, patch)
2018-09-29 19:09 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 21446: Remove fix comment (1.14 KB, patch)
2018-11-08 17:07 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 21446: Correct perm location and enhance (7.33 KB, patch)
2018-11-08 17:08 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 21446: Remove fix comment (1.14 KB, patch)
2018-11-08 17:10 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 21446: Remove fix comment (1.20 KB, patch)
2019-01-17 02:02 UTC, helene
Details | Diff | Splinter Review
Bug 21446: Improve display of changed values on course reserves and show permanent location instead of cart (7.46 KB, patch)
2019-02-03 08:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21446: Remove fix comment (1.25 KB, patch)
2019-02-03 08:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2018-09-27 22:42:16 UTC
Continuing location fixes in modules.  Adding permanent location in course-details.pl.
Comment 1 Christopher Brannon 2018-09-29 18:22:20 UTC
Created attachment 79618 [details] [review]
Bug 21446: Correct perm location and enhance

TO TEST:
1) Set ReturnToShelvingCart on.
2) Create a Course Reserve and make inactive.
3) Add an item, changing Item type, Collection code, Shelving
   location, and Holding library.
4) Note these four fields in the item list.
5) Activate course reserve.
6) Note subtle/no difference in these fiels in the list.
7) Check in the item.
8) Go back to course reserves and note that the cart is listed in the
   field instead of permanent location.
9) Deactivate course reserve.
10) Reset permanent location on item manually.
11) Apply patch.
12) Repeat steps 4-9 noting that the permanent location is showing
    instead of current location.
    Also, if a change is assigned to the item, the change AND
    the regular state always show.  The active state will be in
    bold.
Comment 2 Christopher Brannon 2018-09-29 18:27:03 UTC
I've tracked the actual location change to course-details.tt.  I also did some enhancements of the temporary changes and regular states so it is more obvious.

I am also noting a couple flaws in the module:

Notes can be changed by the course reserves, but should be appended to temporarily.  The course reserves appears to permanently change the notes.

Also, once an item is added to the reserve, editing the item will not produce any changes.  You have to delete the item and add it again with the new changes for it to take.

These items should be addressed in a new bug.
Comment 3 Christopher Brannon 2018-09-29 19:02:14 UTC
Scratch the comment about the notes.  They seem to operate differently from the rest of the fields.  This should be noted in the manual.  Notes entered in course reserves do not replace notes in the item record as the other fields do.  These notes only appear to show up in the course reserve modules.
Comment 4 Christopher Brannon 2018-09-29 19:09:54 UTC
Created attachment 79619 [details] [review]
Bug 21446: Remove fix comment

Fix is not needed.
Comment 5 Alex Buckley 2018-10-30 03:48:37 UTC
Hi there

Could you please rebase your patches as they are not applying cleanly on master.

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 21446: Correct perm location and enhance
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/course_reserves/course-details.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/course_reserves/course-details.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/course_reserves/course-details.tt
Failed to merge in the changes.
Patch failed at 0001 Bug 21446: Correct perm location and enhance
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-21446-Correct-perm-location-and-enhance-6FL5FL.patch

Cheers,
Alex
Comment 6 Christopher Brannon 2018-11-08 17:07:24 UTC
Created attachment 82104 [details] [review]
Bug 21446: Remove fix comment

Fix is not needed.
Comment 7 Christopher Brannon 2018-11-08 17:08:24 UTC
Created attachment 82105 [details] [review]
Bug 21446: Correct perm location and enhance

TO TEST:
1) Set ReturnToShelvingCart on.
2) Create a Course Reserve and make inactive.
3) Add an item, changing Item type, Collection code, Shelving
   location, and Holding library.
4) Note these four fields in the item list.
5) Activate course reserve.
6) Note subtle/no difference in these fiels in the list.
7) Check in the item.
8) Go back to course reserves and note that the cart is listed in the
   field instead of permanent location.
9) Deactivate course reserve.
10) Reset permanent location on item manually.
11) Apply patch.
12) Repeat steps 4-9 noting that the permanent location is showing
    instead of current location.
    Also, if a change is assigned to the item, the change AND
    the regular state always show.  The active state will be in
    bold.
Comment 8 Christopher Brannon 2018-11-08 17:10:46 UTC
Created attachment 82106 [details] [review]
Bug 21446: Remove fix comment

Fix is not needed.
Comment 9 Christopher Brannon 2018-11-08 17:11:33 UTC
Rebased.
Comment 10 helene 2019-01-17 02:02:58 UTC
Created attachment 84113 [details] [review]
Bug 21446: Remove fix comment

Fix is not needed.

Signed-off-by: helene hickey <hickeyhe@wgc.school.nz>
Comment 11 Katrin Fischer 2019-02-03 08:56:12 UTC
Created attachment 84675 [details] [review]
Bug 21446: Improve display of changed values on course reserves and show permanent location instead of cart

TO TEST:
1) Set ReturnToShelvingCart on.
2) Create a Course Reserve and make inactive.
3) Add an item, changing Item type, Collection code, Shelving
   location, and Holding library.
4) Note these four fields in the item list.
5) Activate course reserve.
6) Note subtle/no difference in these fiels in the list.
7) Check in the item.
8) Go back to course reserves and note that the cart is listed in the
   field instead of permanent location.
9) Deactivate course reserve.
10) Reset permanent location on item manually.
11) Apply patch.
12) Repeat steps 4-9 noting that the permanent location is showing
    instead of current location.
    Also, if a change is assigned to the item, the change AND
    the regular state always show.  The active state will be in
    bold.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2019-02-03 08:56:16 UTC
Created attachment 84676 [details] [review]
Bug 21446: Remove fix comment

Fix is not needed.

Signed-off-by: helene hickey <hickeyhe@wgc.school.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Nick Clemens 2019-02-04 17:43:55 UTC
Awesome work all!

Pushed to master for 19.05
Comment 14 Martin Renvoize 2019-02-11 13:52:42 UTC
Cosmetic enhancement will not be backported to stable series.